aboutsummaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
authorobscuren <geffobscura@gmail.com>2015-04-20 03:46:41 +0800
committerobscuren <geffobscura@gmail.com>2015-04-20 03:46:41 +0800
commitea11dba00b0f387f4083eef5ab3eeee396953830 (patch)
tree00a4090406d8d25e7424cdc903444cd9d13372eb /build
parent5dd56bb474e9001db6decb75b7abfca99050d844 (diff)
parente6d36fe356109f718ef5420d7a9acb6f754402e4 (diff)
downloadgo-tangerine-ea11dba00b0f387f4083eef5ab3eeee396953830.tar
go-tangerine-ea11dba00b0f387f4083eef5ab3eeee396953830.tar.gz
go-tangerine-ea11dba00b0f387f4083eef5ab3eeee396953830.tar.bz2
go-tangerine-ea11dba00b0f387f4083eef5ab3eeee396953830.tar.lz
go-tangerine-ea11dba00b0f387f4083eef5ab3eeee396953830.tar.xz
go-tangerine-ea11dba00b0f387f4083eef5ab3eeee396953830.tar.zst
go-tangerine-ea11dba00b0f387f4083eef5ab3eeee396953830.zip
Merge branch 'develop' of github.com-obscure:ethereum/go-ethereum into develop
Diffstat (limited to 'build')
-rwxr-xr-xbuild/env.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/build/env.sh b/build/env.sh
new file mode 100755
index 000000000..b28ad6259
--- /dev/null
+++ b/build/env.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -f "build/env.sh" ]; then
+ echo "$0 must be run from the root of the repository."
+ exit 2
+fi
+
+# Create fake Go workspace if it doesn't exist yet.
+workspace="$PWD/build/_workspace"
+root="$PWD"
+ethdir="$workspace/src/github.com/ethereum"
+if [ ! -L "$ethdir/go-ethereum" ]; then
+ mkdir -p "$ethdir"
+ cd "$ethdir"
+ ln -s ../../../../../. go-ethereum
+ cd "$root"
+fi
+
+# Set up the environment to use the workspace.
+# Also add Godeps workspace so we build using canned dependencies.
+GOPATH="$ethdir/go-ethereum/Godeps/_workspace:$workspace"
+GOBIN="$PWD/build/bin"
+export GOPATH GOBIN
+
+# Launch the arguments with the configured environment.
+exec $@